Strategies

Get one strategy's details on Solana

One strategy, with its two sides and its pool.

GET
/api/solana/strategies/{strategy}

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Authorizing a swap or opening a market takes a key issued to your integration, and the shared key the docs fill in reads and quotes only.

In: header

Path Parameters

strategy*string

The strategy's address.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/solana/strategies/string"
{  "strategy": "AEFrumJC9heBMrxjkhQneUpMpCWhmyqfBUczaYCSnaQa",  "paused": false,  "vaultPaused": false,  "makers": 2,  "sides": [    {      "vault": "BxA3h39KwbzQJkGPKDRJZ2JHC9zU2xPrTJAr3kr18nWX",      "asset": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",      "backers": 2,      "backed": "1500000000",      "volume24h": "250000000"    },    {      "vault": "6wj2cHo2ZxvDj1pu6B5ymgd1Eh5oCv3zvsdpkptC3ZxU",      "asset": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",      "backers": 1,      "backed": "900000000",      "volume24h": "120000000"    }  ],  "pools": [    {      "pool": "2AW9cYg6sGwMqkHczyxWRZXYErM7UTMgVcZfDj8J2gLg",      "venue": "orca",      "tickSpacing": 1,      "feeTierIndex": 1,      "feeRate": 100,      "mints": [        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",        "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"      ],      "sqrtPrice": "18446744073709551616",      "tickCurrent": 0    }  ]}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}